#ifndef CONSTANTES_H
#define CONSTANTES_H 1
#include <string>
using namespace std;
/*
* REGLES DU JEU
*/

#define NB_POSITIONS 10
#define NB_MAX_JOUEURS 5
#define NB_CARTES_MAIN 5
#define NB_MAX_FEUILLES_SALADE 3
#define NB_TORTUES 5 // inchangeable car gal au nombre de couleurs

/*
* COULEUR : type int
*/

#define C_MULTI 0
#define C_ROUGE 1
#define C_BLEU 2
#define C_VIOLET 3
#define C_JAUNE 4
#define C_VERT 5

const int TAB_COULEUR[5] = {C_ROUGE, C_BLEU, C_VIOLET, C_JAUNE, C_VERT};

#define TAILLE_TAB_COULEUR 5

/*
* TYPES DE CARTES : type int
*/

#define T_PLUS1_COULEUR 1
#define T_PLUS2_COULEUR 2
#define T_MOINS1_COULEUR -1
#define T_PLUS1_MULTI 4
#define T_MOINS1_MULTI -4
#define T_PLUS1_DERNIERE 7
#define T_PLUS2_DERNIERE 8

const string AFFICHAGE_PLUS1 = "+";
const string AFFICHAGE_PLUS2 = "++";
const string AFFICHAGE_MOINS1 = "-";
const string AFFICHAGE_PLUS1_DERNIERE = ">";
const string AFFICHAGE_PLUS2_DERNIERE = ">>";

const string AFFICHAGE_VIDE = "    "  ;
const string AFFICHAGE_TORTUE = "  T ";
const string AFFICHAGE_BASE =   " >>>";

/*
* WINDOWS
*/

#endif // CONSTANTES_H
