#ifndef JEU_H
#define JEU_H
#include <vector>
#include <string>
#include <windows.h>
#include "Joueur.h"
#include "PiocheDeCartes.h"
#include "PiocheDeTortues.h"
#include "PlateauDeJeu.h"
using namespace std;


class Jeu
{
    public:
        Jeu();
        void jouer();
        void recommencer();
        void manche();
        bool aTroisFeuillesDeSalade();
        int indexJoueurLePlusJeune();
        virtual ~Jeu();
    protected:

    private:
        int nombreJoueurs;
        vector<Joueur*> tabJoueurs;
        PiocheDeCartes* piocheDeCartes;
        PiocheDeTortues* listeTortues;
        PiocheDeTortues* tuiles;
        PlateauDeJeu* plateauDeJeu;
};

#endif // JEU_H
