#ifndef JOUEUR_H
#define JOUEUR_H
#include <iostream>
#include "Carte.h"
#include "PiocheDeCartes.h"
#include "PiocheDeTortues.h"
using namespace std;
class Joueur
{
    public:
        Joueur();
        virtual ~Joueur();
        int getAge();
        void debutDeManche(PiocheDeCartes* piocheDeCartes, PiocheDeTortues* tuiles);
        void finDeManche();
        Tortue* getTortueJoueur();
        void setTortueJoueur(Tortue* uneTortue);
        Carte* getIndiceMainJoueur(int i);
        void renouvelerCarte(PiocheDeCartes* piocheDeCartes, Carte* carteJouee);
        std::string getNom();
        void ajoutFeuilleDeSalade();
        int getNbFeuillesDeSalade();
        Carte* choixCarteJouee();
        affichage_joueur();
    protected:

    private:
        std::string nom;
        int age;
        class Tortue* tortueJoueur;
        class Carte* mainJoueur[5];
        int nb_feuilles_de_salade;
};

#endif // JOUEUR_H
