#ifndef PLATEAUDEJEU_H
#define PLATEAUDEJEU_H
#include <vector>
#include <windows.h>
#include "Tortue.h"
#include "PiocheDeTortues.h"
#include "Carte.h"
#include "constantes.h"

class PlateauDeJeu
{
    public:
        PlateauDeJeu(PiocheDeTortues* tortuesAuDepart);
        void affichagePlateau();
        void actionCarte(Carte* carteJouee);
        bool uneTortueEstArrivee();
        int* getOrdreArriveeTortue();
        virtual ~PlateauDeJeu();

    protected:
        Tortue* plateau[NB_POSITIONS][NB_TORTUES];

    private:
};

#endif // PLATEAUDEJEU_H
